diff --git a/testing/mozbase/manifestparser/manifestparser/expression.py b/testing/mozbase/manifestparser/manifestparser/expression.py
index 6b705ead9c..6484e23c8a 100644
--- a/testing/mozbase/manifestparser/manifestparser/expression.py
+++ b/testing/mozbase/manifestparser/manifestparser/expression.py
@@ -195,7 +195,7 @@ class ExpressionParser(object):
         LITERAL ::= BOOL | INT | IDENT | STRING
         BOOL ::= 'true' | 'false'
         INT ::= [0-9]+
-        IDENT ::= [a-zA-Z_]\w*
+        IDENT ::= [a-zA-Z_]\\w*
         STRING ::= '"' [^\"] '"' | ''' [^\'] '''
 
     At its core, expressions consist of booleans, integers, identifiers and.
@@ -275,7 +275,7 @@ class ExpressionParser(object):
         """
         if not isinstance(self.token, expected):
             raise Exception("Unexpected token!")
-        self.token = self.iter.next()
+        self.token = next(self.iter)
 
     def expression(self, rbp=0):
         """
@@ -283,11 +283,11 @@ class ExpressionParser(object):
         right binding power greater than rbp is encountered.
         """
         t = self.token
-        self.token = self.iter.next()
+        self.token = next(self.iter)
         left = t.nud(self)
         while rbp < self.token.lbp:
             t = self.token
-            self.token = self.iter.next()
+            self.token = next(self.iter)
             left = t.led(self, left)
         return left
 
@@ -299,7 +299,7 @@ class ExpressionParser(object):
         """
         try:
             self.iter = self._tokenize()
-            self.token = self.iter.next()
+            self.token = next(self.iter)
             return self.expression()
         except:
             extype, ex, tb = sys.exc_info()
@@ -307,7 +307,7 @@ class ExpressionParser(object):
             raise ParseError("could not parse: "
                              "%s\nexception: %svariables: %s" % (self.text,
                                                                  formatted,
-                                                                 self.valuemapping)), None, tb
+                                                                 self.valuemapping)).with_traceback(tb)
 
     __call__ = parse
 
diff --git a/testing/mozbase/manifestparser/manifestparser/filters.py b/testing/mozbase/manifestparser/manifestparser/filters.py
index e832c0da65..0742b96eaf 100644
--- a/testing/mozbase/manifestparser/manifestparser/filters.py
+++ b/testing/mozbase/manifestparser/manifestparser/filters.py
@@ -8,7 +8,8 @@ dictionary of values, and returns a new iterable of test objects. It is
 possible to define custom filters if the built-in ones are not enough.
 """
 
-from collections import defaultdict, MutableSequence
+from collections import defaultdict
+from collections.abc import MutableSequence
 import itertools
 import os
 
@@ -79,7 +80,7 @@ def exists(tests, values):
 
 # built-in instance filters
 
-class InstanceFilter(object):
+class InstanceFilter:
     """
     Generally only one instance of a class filter should be applied at a time.
     Two instances of `InstanceFilter` are considered equal if they have the
@@ -92,7 +93,7 @@ class InstanceFilter(object):
     def __init__(self, *args, **kwargs):
         self.fmt_args = ', '.join(itertools.chain(
             [str(a) for a in args],
-            ['{}={}'.format(k, v) for k, v in kwargs.iteritems()]))
+            ['{}={}'.format(k, v) for k, v in kwargs.items()]))
 
     def __eq__(self, other):
         if self.unique:
@@ -249,10 +250,9 @@ class chunk_by_dir(InstanceFilter):
         # be yielded for reporting purposes. Put them all in chunk 1 for
         # simplicity.
         if self.this_chunk == 1:
-            disabled_dirs = [v for k, v in tests_by_dir.iteritems()
+            disabled_dirs = [v for k, v in tests_by_dir.items()
                              if k not in ordered_dirs]
-            for disabled_test in itertools.chain(*disabled_dirs):
-                yield disabled_test
+            yield from itertools.chain(*disabled_dirs)
 
 
 class chunk_by_runtime(InstanceFilter):
@@ -283,7 +283,7 @@ class chunk_by_runtime(InstanceFilter):
 
     def __call__(self, tests, values):
         tests = list(tests)
-        manifests = set(t['manifest'] for t in tests)
+        manifests = {t['manifest'] for t in tests}
 
         def total_runtime(tests):
             return sum(self.runtimes[t['relpath']] for t in tests
@@ -326,7 +326,7 @@ class tags(InstanceFilter):
 
     def __init__(self, tags):
         InstanceFilter.__init__(self, tags)
-        if isinstance(tags, basestring):
+        if isinstance(tags, str):
             tags = [tags]
         self.tags = tags
 
@@ -349,7 +349,7 @@ class pathprefix(InstanceFilter):
 
     def __init__(self, paths):
         InstanceFilter.__init__(self, paths)
-        if isinstance(paths, basestring):
+        if isinstance(paths, str):
             paths = [paths]
         self.paths = paths
 
diff --git a/testing/mozbase/manifestparser/manifestparser/ini.py b/testing/mozbase/manifestparser/manifestparser/ini.py
index 5117dd1ae8..254146f90e 100644
--- a/testing/mozbase/manifestparser/manifestparser/ini.py
+++ b/testing/mozbase/manifestparser/manifestparser/ini.py
@@ -27,11 +27,14 @@ def read_ini(fp, variables=None, default='DEFAULT', defaults_only=False,
     sections = []
     key = value = None
     section_names = set()
-    if isinstance(fp, basestring):
-        fp = file(fp)
+    if isinstance(fp, (str, bytes)):
+        fp = open(fp if isinstance(fp, str) else fp.decode('utf-8'))
 
     # read the lines
-    for (linenum, line) in enumerate(fp.read().splitlines(), start=1):
+    content = fp.read()
+    if isinstance(content, bytes):
+        content = content.decode('utf-8')
+    for (linenum, line) in enumerate(content.splitlines(), start=1):
 
         stripped = line.strip()
 
@@ -60,7 +63,7 @@ def read_ini(fp, variables=None, default='DEFAULT', defaults_only=False,
 
             if strict:
                 # make sure this section doesn't already exist
-                assert section not in section_names, "Section '%s' already found in '%s'" % (
+                assert section not in section_names, "Section '{}' already found in '{}'".format(
                     section, section_names)
 
             section_names.add(section)
@@ -90,7 +93,7 @@ def read_ini(fp, variables=None, default='DEFAULT', defaults_only=False,
         else:
             # continuation line ?
             if line[0].isspace() and key:
-                value = '%s%s%s' % (value, os.linesep, stripped)
+                value = '{}{}{}'.format(value, os.linesep, stripped)
                 current_section[key] = value
             else:
                 # something bad happened!
diff --git a/testing/mozbase/manifestparser/manifestparser/manifestparser.py b/testing/mozbase/manifestparser/manifestparser/manifestparser.py
index 23f14d3f87..216f79b8dc 100644
--- a/testing/mozbase/manifestparser/manifestparser/manifestparser.py
+++ b/testing/mozbase/manifestparser/manifestparser/manifestparser.py
@@ -2,7 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from StringIO import StringIO
+from io import StringIO
 import json
 import fnmatch
 import os
@@ -21,7 +21,7 @@ from .filters import (
 __all__ = ['ManifestParser', 'TestManifest', 'convert']
 
 relpath = os.path.relpath
-string = (basestring,)
+string = (str,)
 
 
 # path normalization
@@ -42,7 +42,7 @@ def denormalize_path(path):
 
 # objects for parsing manifests
 
-class ManifestParser(object):
+class ManifestParser:
     """read .ini manifests"""
 
     def __init__(self, manifests=(), defaults=None, strict=True, rootdir=None,
@@ -110,7 +110,7 @@ class ManifestParser(object):
             if not self.path_exists(include_file):
                 message = "Included file '%s' does not exist" % include_file
                 if self.strict:
-                    raise IOError(message)
+                    raise OSError(message)
                 else:
                     sys.stderr.write("%s\n" % message)
                     return
@@ -178,7 +178,7 @@ class ManifestParser(object):
 
             # otherwise an item
             # apply ancestor defaults, while maintaining current file priority
-            data = dict(self._ancestor_defaults.items() + data.items())
+            data = dict(list(self._ancestor_defaults.items()) + list(data.items()))
 
             test = data
             test['name'] = section
@@ -249,7 +249,7 @@ class ManifestParser(object):
         missing = [filename for filename in filenames
                    if isinstance(filename, string) and not self.path_exists(filename)]
         if missing:
-            raise IOError('Missing files: %s' % ', '.join(missing))
+            raise OSError('Missing files: %s' % ', '.join(missing))
 
         # default variables
         _defaults = defaults.copy() or self._defaults.copy()
@@ -370,11 +370,11 @@ class ManifestParser(object):
         if missing:
             missing_paths = [test['path'] for test in missing]
             if self.strict:
-                raise IOError("Strict mode enabled, test paths must exist. "
+                raise OSError("Strict mode enabled, test paths must exist. "
                               "The following test(s) are missing: %s" %
                               json.dumps(missing_paths, indent=2))
-            print >> sys.stderr, "Warning: The following test(s) are missing: %s" % \
-                json.dumps(missing_paths, indent=2)
+            print("Warning: The following test(s) are missing: %s" %
+                json.dumps(missing_paths, indent=2), file=sys.stderr)
         return missing
 
     def verifyDirectory(self, directories, pattern=None, extensions=None):
@@ -384,8 +384,8 @@ class ManifestParser(object):
         (missing_from_filesystem, missing_from_manifest)
         """
 
-        files = set([])
-        if isinstance(directories, basestring):
+        files = set()
+        if isinstance(directories, str):
             directories = [directories]
 
         # get files in directories
@@ -437,7 +437,7 @@ class ManifestParser(object):
         local_kwargs = local_kwargs or {}
 
         # create the query
-        tags = set([])
+        tags = set()
         tags.update(global_tags)
         tags.update(local_tags)
         kwargs = {}
@@ -449,12 +449,12 @@ class ManifestParser(object):
 
         # print the .ini manifest
         if global_tags or global_kwargs:
-            print >> fp, '[DEFAULT]'
+            print('[DEFAULT]', file=fp)
             for tag in global_tags:
-                print >> fp, '%s =' % tag
+                print('%s =' % tag, file=fp)
             for key, value in global_kwargs.items():
-                print >> fp, '%s = %s' % (key, value)
-            print >> fp
+                print('{} = {}'.format(key, value, file=fp))
+            print(self.rootdir, file=fp)
 
         for test in tests:
             test = test.copy()  # don't overwrite
@@ -463,9 +463,9 @@ class ManifestParser(object):
             if not os.path.isabs(path):
                 path = test['path']
                 if self.rootdir:
-                    path = relpath(test['path'], self.rootdir)
+                    path = relpath(test['path'])
                 path = denormalize_path(path)
-            print >> fp, '[%s]' % path
+            print('[%s]' % path, file=fp)
 
             # reserved keywords:
             reserved = ['path', 'name', 'here', 'manifest', 'relpath', 'ancestor-manifest']
@@ -476,8 +476,8 @@ class ManifestParser(object):
                     continue
                 if key in global_tags and not test[key]:
                     continue
-                print >> fp, '%s = %s' % (key, test[key])
-            print >> fp
+                print('{} = {}'.format(key, test[key], file=fp))
+            print(directory, rootdir=None, *tags, **kwargs, file=fp)
 
         if close:
             # close the created file
@@ -489,7 +489,7 @@ class ManifestParser(object):
         value = fp.getvalue()
         return value
 
-    def copy(self, directory, rootdir=None, *tags, **kwargs):
+    def copy(self):
         """
         copy the manifests and associated tests
         - directory : directory to copy to
@@ -564,8 +564,8 @@ class ManifestParser(object):
                 if not os.path.exists(source):
                     message = "Missing test: '%s' does not exist!"
                     if self.strict:
-                        raise IOError(message)
-                    print >> sys.stderr, message + " Skipping."
+                        raise OSError(message)
+                    print(message + " Skipping.", file=sys.stderr)
                     continue
                 destination = os.path.join(rootdir, _relpath)
                 shutil.copy(source, destination)
@@ -578,7 +578,7 @@ class ManifestParser(object):
         internal function to import directories
         """
 
-        if isinstance(pattern, basestring):
+        if isinstance(pattern, str):
             patterns = [pattern]
         else:
             patterns = pattern
@@ -654,7 +654,7 @@ class ManifestParser(object):
         manifest_dict = {}
 
         if os.path.basename(filename) != filename:
-            raise IOError("filename should not include directory name")
+            raise OSError("filename should not include directory name")
 
         # no need to hit directories more than once
         _directories = directories
@@ -670,9 +670,9 @@ class ManifestParser(object):
             if (dirnames or filenames) and not (os.path.exists(manifest_path) and overwrite):
                 with file(manifest_path, 'w') as manifest:
                     for dirname in dirnames:
-                        print >> manifest, '[include:%s]' % os.path.join(dirname, filename)
+                        print('[include:%s]' % os.path.join(dirname, filename, file=manifest))
                     for _filename in filenames:
-                        print >> manifest, '[%s]' % _filename
+                        print('[%s]' % _filename, file=manifest)
 
                 # add to list of manifests
                 manifest_dict.setdefault(directory, manifest_path)
@@ -722,8 +722,8 @@ class ManifestParser(object):
                              for filename in filenames]
 
             # write to manifest
-            print >> write, '\n'.join(['[%s]' % denormalize_path(filename)
-                                       for filename in filenames])
+            print('\n'.join(['[%s]' % denormalize_path(filename)
+                                       for filename in filenames]), file=write)
 
         cls._walk_directories(directories, callback, pattern=pattern, ignore=ignore)
 
diff --git a/testing/mozbase/manifestparser/tests/test_chunking.py b/testing/mozbase/manifestparser/tests/test_chunking.py
index 719bbca80c..56022dd7de 100644
--- a/testing/mozbase/manifestparser/tests/test_chunking.py
+++ b/testing/mozbase/manifestparser/tests/test_chunking.py
@@ -63,7 +63,7 @@ class ChunkBySlice(TestCase):
         self.run_all_combos(num_tests=10, disabled=[1, 2])
 
         num_tests = 67
-        disabled = list(i for i in xrange(num_tests) if i % 4 == 0)
+        disabled = list(i for i in range(num_tests) if i % 4 == 0)
         self.run_all_combos(num_tests=num_tests, disabled=disabled)
 
     def test_two_times_more_chunks_than_tests(self):
@@ -85,7 +85,7 @@ class ChunkByDir(TestCase):
                         { <dir>: <num tests> }
         """
         i = 0
-        for d, num in dirs.iteritems():
+        for d, num in dirs.items():
             for j in range(num):
                 i += 1
                 name = 'test%i' % i
@@ -113,7 +113,7 @@ class ChunkByDir(TestCase):
                     f = chunk_by_dir(this, total, depth)
                     res.append(list(f(tests, {})))
 
-                lengths = map(num_groups, res)
+                lengths = list(map(num_groups, res))
                 # the chunk with the most dirs should have at most one more
                 # dir than the chunk with the least dirs
                 self.assertLessEqual(max(lengths) - min(lengths), 1)
@@ -176,7 +176,7 @@ class ChunkByRuntime(TestCase):
                      { <dir>: <num tests> }
         """
         i = 0
-        for d, num in dirs.iteritems():
+        for d, num in dirs.items():
             for j in range(num):
                 i += 1
                 name = 'test%i' % i
@@ -192,7 +192,7 @@ class ChunkByRuntime(TestCase):
         return runtimes
 
     def chunk_by_round_robin(self, tests, runtimes):
-        manifests = set(t['manifest'] for t in tests)
+        manifests = {t['manifest'] for t in tests}
         tests_by_manifest = []
         for manifest in manifests:
             mtests = [t for t in tests if t['manifest'] == manifest]
diff --git a/testing/mozbase/manifestparser/tests/test_convert_directory.py b/testing/mozbase/manifestparser/tests/test_convert_directory.py
index 12776e4e4f..669ca84ada 100755
--- a/testing/mozbase/manifestparser/tests/test_convert_directory.py
+++ b/testing/mozbase/manifestparser/tests/test_convert_directory.py
@@ -39,10 +39,10 @@ class TestDirectoryConversion(unittest.TestCase):
         if directory is None:
             directory = create_realpath_tempdir()
         for i in files:
-            file(os.path.join(directory, i), 'w').write(i)
+            open(os.path.join(directory, i), 'w').write(i)
         subdir = os.path.join(directory, 'subdir')
         os.mkdir(subdir)
-        file(os.path.join(subdir, 'subfile'), 'w').write('baz')
+        open(os.path.join(subdir, 'subfile'), 'w').write('baz')
         return directory
 
     def test_directory_to_manifest(self):
@@ -141,13 +141,13 @@ class TestDirectoryConversion(unittest.TestCase):
         # boilerplate
         tempdir = create_realpath_tempdir()
         for i in range(10):
-            file(os.path.join(tempdir, str(i)), 'w').write(str(i))
+            open(os.path.join(tempdir, str(i)), 'w').write(str(i))
 
         # otherwise empty directory with a manifest file
         newtempdir = create_realpath_tempdir()
         manifest_file = os.path.join(newtempdir, 'manifest.ini')
         manifest_contents = str(convert([tempdir], relative_to=tempdir))
-        with file(manifest_file, 'w') as f:
+        with open(manifest_file, 'w') as f:
             f.write(manifest_contents)
 
         # get the manifest
@@ -165,11 +165,11 @@ class TestDirectoryConversion(unittest.TestCase):
                          ['1', 'manifest.ini'])
 
         # Update that one file and copy all the "tests":
-        file(os.path.join(tempdir, '1'), 'w').write('secret door')
+        open(os.path.join(tempdir, '1'), 'w').write('secret door')
         manifest.update(tempdir)
         self.assertEqual(sorted(os.listdir(newtempdir)),
                          ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'manifest.ini'])
-        self.assertEqual(file(os.path.join(newtempdir, '1')).read().strip(),
+        self.assertEqual(open(os.path.join(newtempdir, '1')).read().strip(),
                          'secret door')
 
         # clean up:
diff --git a/testing/mozbase/manifestparser/tests/test_convert_symlinks.py b/testing/mozbase/manifestparser/tests/test_convert_symlinks.py
index 9a0640b4bd..dac027cdff 100755
--- a/testing/mozbase/manifestparser/tests/test_convert_symlinks.py
+++ b/testing/mozbase/manifestparser/tests/test_convert_symlinks.py
@@ -24,10 +24,10 @@ class TestSymlinkConversion(unittest.TestCase):
         if directory is None:
             directory = tempfile.mkdtemp()
         for i in files:
-            file(os.path.join(directory, i), 'w').write(i)
+            open(os.path.join(directory, i), 'w').write(i)
         subdir = os.path.join(directory, 'subdir')
         os.mkdir(subdir)
-        file(os.path.join(subdir, 'subfile'), 'w').write('baz')
+        open(os.path.join(subdir, 'subfile'), 'w').write('baz')
         return directory
 
     def test_relpath(self):
diff --git a/testing/mozbase/manifestparser/tests/test_filters.py b/testing/mozbase/manifestparser/tests/test_filters.py
index 5b0772492e..5334ae2b55 100644
--- a/testing/mozbase/manifestparser/tests/test_filters.py
+++ b/testing/mozbase/manifestparser/tests/test_filters.py
@@ -28,19 +28,19 @@ class FilterList(unittest.TestCase):
         fl = filterlist()
 
         fl.extend([foo, bar])
-        self.assertEquals(len(fl), 2)
+        self.assertEqual(len(fl), 2)
         self.assertTrue(foo in fl)
 
         fl.append(baz)
-        self.assertEquals(fl[2], baz)
+        self.assertEqual(fl[2], baz)
 
         fl.remove(baz)
         self.assertFalse(baz in fl)
 
         item = fl.pop()
-        self.assertEquals(item, bar)
+        self.assertEqual(item, bar)
 
-        self.assertEquals(fl.index(foo), 0)
+        self.assertEqual(fl.index(foo), 0)
 
         del fl[0]
         self.assertFalse(foo in fl)
@@ -57,8 +57,8 @@ class FilterList(unittest.TestCase):
         bar = lambda x, y: x
         sub = subsuite('foo')
         fl = filterlist([foo, bar, sub])
-        self.assertEquals(len(fl), 3)
-        self.assertEquals(fl[0], foo)
+        self.assertEqual(len(fl), 3)
+        self.assertEqual(fl[0], foo)
 
         with self.assertRaises(ValueError):
             fl.append(foo)
@@ -75,7 +75,7 @@ class FilterList(unittest.TestCase):
             fl.append(tag1)
 
         fl.append(tag2)
-        self.assertEquals(len(fl), 2)
+        self.assertEqual(len(fl), 2)
 
     def test_filters_run_in_order(self):
         a = lambda x, y: x
@@ -89,7 +89,7 @@ class FilterList(unittest.TestCase):
         fl.append(c)
         fl.extend([d, e])
         fl += [f]
-        self.assertEquals([i for i in fl], [a, b, c, d, e, f])
+        self.assertEqual([i for i in fl], [a, b, c, d, e, f])
 
 
 class BuiltinFilters(unittest.TestCase):
@@ -109,7 +109,7 @@ class BuiltinFilters(unittest.TestCase):
     def test_skip_if(self):
         tests = deepcopy(self.tests)
         tests = list(skip_if(tests, {}))
-        self.assertEquals(len(tests), len(self.tests))
+        self.assertEqual(len(tests), len(self.tests))
 
         tests = deepcopy(self.tests)
         tests = list(skip_if(tests, {'foo': 'bar'}))
@@ -122,7 +122,7 @@ class BuiltinFilters(unittest.TestCase):
 
         tests = deepcopy(self.tests)
         tests = list(run_if(tests, {'foo': 'bar'}))
-        self.assertEquals(len(tests), len(self.tests))
+        self.assertEqual(len(tests), len(self.tests))
 
     def test_fail_if(self):
         tests = deepcopy(self.tests)
@@ -131,7 +131,7 @@ class BuiltinFilters(unittest.TestCase):
 
         tests = deepcopy(self.tests)
         tests = list(fail_if(tests, {'foo': 'bar'}))
-        self.assertEquals(tests[3]['expected'], 'fail')
+        self.assertEqual(tests[3]['expected'], 'fail')
 
     def test_enabled(self):
         tests = deepcopy(self.tests)
@@ -145,11 +145,11 @@ class BuiltinFilters(unittest.TestCase):
         tests = deepcopy(self.tests)
         tests = list(sub1(tests, {}))
         self.assertNotIn(self.tests[5], tests)
-        self.assertEquals(len(tests), len(self.tests) - 1)
+        self.assertEqual(len(tests), len(self.tests) - 1)
 
         tests = deepcopy(self.tests)
         tests = list(sub2(tests, {}))
-        self.assertEquals(len(tests), 1)
+        self.assertEqual(len(tests), 1)
         self.assertIn(self.tests[5], tests)
 
     def test_subsuite_condition(self):
@@ -164,9 +164,9 @@ class BuiltinFilters(unittest.TestCase):
 
         tests = deepcopy(self.tests)
         tests = list(sub2(tests, {'foo': 'bar'}))
-        self.assertEquals(len(tests), 2)
-        self.assertEquals(tests[0]['name'], 'test5')
-        self.assertEquals(tests[1]['name'], 'test6')
+        self.assertEqual(len(tests), 2)
+        self.assertEqual(tests[0]['name'], 'test5')
+        self.assertEqual(tests[1]['name'], 'test6')
 
     def test_tags(self):
         ftags1 = tags([])
@@ -174,9 +174,9 @@ class BuiltinFilters(unittest.TestCase):
 
         tests = deepcopy(self.tests)
         tests = list(ftags1(tests, {}))
-        self.assertEquals(len(tests), 0)
+        self.assertEqual(len(tests), 0)
 
         tests = deepcopy(self.tests)
         tests = list(ftags2(tests, {}))
-        self.assertEquals(len(tests), 1)
+        self.assertEqual(len(tests), 1)
         self.assertIn(self.tests[7], tests)
diff --git a/testing/mozbase/manifestparser/tests/test_manifestparser.py b/testing/mozbase/manifestparser/tests/test_manifestparser.py
index ca80911fb9..0d3eaaf31d 100755
--- a/testing/mozbase/manifestparser/tests/test_manifestparser.py
+++ b/testing/mozbase/manifestparser/tests/test_manifestparser.py
@@ -29,11 +29,11 @@ class TestManifestParser(unittest.TestCase):
         mozmill_example = os.path.join(here, 'mozmill-example.ini')
         parser.read(mozmill_example)
         tests = parser.tests
-        self.assertEqual(len(tests), len(file(mozmill_example).read().strip().splitlines()))
+        self.assertEqual(len(tests), len(open(mozmill_example).read().strip().splitlines()))
 
         # Ensure that capitalization and order aren't an issue:
         lines = ['[%s]' % test['name'] for test in tests]
-        self.assertEqual(lines, file(mozmill_example).read().strip().splitlines())
+        self.assertEqual(lines, open(mozmill_example).read().strip().splitlines())
 
         # Show how you select subsets of tests:
         mozmill_restart_example = os.path.join(here, 'mozmill-restart-example.ini')
@@ -290,14 +290,14 @@ yellow = submarine"""  # noqa
         manifest_path = os.path.join(directory, 'verifyDirectory_incomplete.ini')
         manifest = ManifestParser(manifests=(manifest_path,))
         missing = manifest.verifyDirectory(directory, extensions=('.js',))
-        self.assertEqual(missing, (set(), set([test_1])))
+        self.assertEqual(missing, (set(), {test_1}))
 
         # filesystem is missing test_notappearinginthisfilm.js
         missing_test = os.path.join(directory, 'test_notappearinginthisfilm.js')
         manifest_path = os.path.join(directory, 'verifyDirectory_toocomplete.ini')
         manifest = ManifestParser(manifests=(manifest_path,))
         missing = manifest.verifyDirectory(directory, extensions=('.js',))
-        self.assertEqual(missing, (set([missing_test]), set()))
+        self.assertEqual(missing, ({missing_test}, set()))
 
     def test_just_defaults(self):
         """Ensure a manifest with just a DEFAULT section exposes that data."""
@@ -307,7 +307,7 @@ yellow = submarine"""  # noqa
         parser.read(manifest)
         self.assertEqual(len(parser.tests), 0)
         self.assertTrue(manifest in parser.manifest_defaults)
-        self.assertEquals(parser.manifest_defaults[manifest]['foo'], 'bar')
+        self.assertEqual(parser.manifest_defaults[manifest]['foo'], 'bar')
 
     def test_manifest_list(self):
         """
diff --git a/testing/mozbase/manifestparser/tests/test_read_ini.py b/testing/mozbase/manifestparser/tests/test_read_ini.py
index df4a8973b0..960c001535 100755
--- a/testing/mozbase/manifestparser/tests/test_read_ini.py
+++ b/testing/mozbase/manifestparser/tests/test_read_ini.py
@@ -12,7 +12,7 @@ http://docs.python.org/2/library/configparser.html
 
 import unittest
 from manifestparser import read_ini
-from ConfigParser import ConfigParser
+from configparser import ConfigParser
 from StringIO import StringIO
 
 
diff --git a/testing/mozbase/manifestparser/tests/test_testmanifest.py b/testing/mozbase/manifestparser/tests/test_testmanifest.py
index 5f79dd48a6..8ded6b2fc1 100644
--- a/testing/mozbase/manifestparser/tests/test_testmanifest.py
+++ b/testing/mozbase/manifestparser/tests/test_testmanifest.py
@@ -71,24 +71,24 @@ class TestTestManifest(unittest.TestCase):
 
         # 6 tests total
         tests = manifest.active_tests(exists=False, **info)
-        self.assertEquals(len(tests), 6)
+        self.assertEqual(len(tests), 6)
 
         # only 3 tests for subsuite bar when foo==bar
         tests = manifest.active_tests(exists=False,
                                       filters=[subsuite('bar')],
                                       **info)
-        self.assertEquals(len(tests), 3)
+        self.assertEqual(len(tests), 3)
 
         # only 1 test for subsuite baz, regardless of conditions
         other = {'something': 'else'}
         tests = manifest.active_tests(exists=False,
                                       filters=[subsuite('baz')],
                                       **info)
-        self.assertEquals(len(tests), 1)
+        self.assertEqual(len(tests), 1)
         tests = manifest.active_tests(exists=False,
                                       filters=[subsuite('baz')],
                                       **other)
-        self.assertEquals(len(tests), 1)
+        self.assertEqual(len(tests), 1)
 
         # 4 tests match when the condition doesn't match (all tests except
         # the unconditional subsuite)
@@ -96,7 +96,7 @@ class TestTestManifest(unittest.TestCase):
         tests = manifest.active_tests(exists=False,
                                       filters=[subsuite()],
                                       **info)
-        self.assertEquals(len(tests), 5)
+        self.assertEqual(len(tests), 5)
 
         # test for illegal subsuite value
         manifest.tests[0]['subsuite'] = 'subsuite=bar,foo=="bar",type="nothing"'
diff --git a/testing/mozbase/mozcrash/mozcrash/__init__.py b/testing/mozbase/mozcrash/mozcrash/__init__.py
index ec95442cf2..29a487571b 100644
--- a/testing/mozbase/mozcrash/mozcrash/__init__.py
+++ b/testing/mozbase/mozcrash/mozcrash/__init__.py
@@ -7,4 +7,4 @@ mozcrash is a library for getting a stack trace out of processes that have crash
 and left behind a minidump file using the Google Breakpad library.
 """
 
-from mozcrash import *
+from .mozcrash import *
diff --git a/testing/mozbase/mozcrash/mozcrash/mozcrash.py b/testing/mozbase/mozcrash/mozcrash/mozcrash.py
index c39e68f3a6..1da425b9d8 100644
--- a/testing/mozbase/mozcrash/mozcrash/mozcrash.py
+++ b/testing/mozbase/mozcrash/mozcrash/mozcrash.py
@@ -105,10 +105,10 @@ def check_for_crashes(dump_directory,
                 stackwalk_output.append("minidump_stackwalk exited with return code %d" %
                                         info.stackwalk_retcode)
             signature = info.signature if info.signature else "unknown top frame"
-            print "PROCESS-CRASH | %s | application crashed [%s]" % (test_name,
+            print("PROCESS-CRASH | %s | application crashed [%s]" % (test_name,)
                                                                      signature)
-            print '\n'.join(stackwalk_output)
-            print '\n'.join(info.stackwalk_errors)
+            print('\n'.join(stackwalk_output))
+            print('\n'.join(info.stackwalk_errors))
 
     return crash_count
 
@@ -371,11 +371,11 @@ def check_for_java_exception(logcat, test_name=None, quiet=False):
                 if m and m.group(1):
                     exception_location = m.group(1)
                 if not quiet:
-                    print "PROCESS-CRASH | %s | java-exception %s %s" % (test_name,
+                    print("PROCESS-CRASH | %s | java-exception %s %s" % (test_name,)
                                                                          exception_type,
                                                                          exception_location)
             else:
-                print "Automation Error: java exception in logcat at line " \
+                print("Automation Error: java exception in logcat at line " \)
                     "%d of %d: %s" % (i, len(logcat), line)
             break
 
